package no.ntnu.item.sso;

import java.util.Calendar;
import javax.persistence.Column;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Past;

/**
 * @author jogrimst
 */
public class OpenIdIdentifier {

    @NotNull
    @Column(nullable=false)
    private String url;

    private String remoteIpAddress;

    @Past
    @Temporal(TemporalType.DATE)
    private Calendar lastUsed;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRemoteIpAddress() {
        return remoteIpAddress;
    }

    public void setRemoteIpAddress(String remoteIpAddress) {
        this.remoteIpAddress = remoteIpAddress;
    }

    public Calendar getLastUsed() {
        return lastUsed;
    }

    public void setLastUsed(Calendar lastUsed) {
        this.lastUsed = lastUsed;
    }
}
