package no.ntnu.item.sso.validation;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

import no.ntnu.item.sso.validation.annotations.PostCode;
import no.ntnu.item.sso.validation.annotations.User;

import org.apache.log4j.Logger;
import org.springframework.validation.beanvalidation.LocalValidatorFactoryBean;
import org.springframework.web.context.support.WebApplicationContextUtils;

/**
 * @author jogrimst
 */
public class UserValidator implements ConstraintValidator<User, no.ntnu.item.sso.UserProfile> {
	
	private final Logger logger = Logger.getLogger(getClass());

	public void initialize(no.ntnu.item.sso.validation.annotations.User constraintAnnotation) {
		logger.info(constraintAnnotation.message());
		logger.info(constraintAnnotation.groups().length);
		logger.info(constraintAnnotation.payload());
	}

	public boolean isValid(final no.ntnu.item.sso.UserProfile value, ConstraintValidatorContext context) {
		no.ntnu.item.sso.UserProfile user = value;
		if (user == null) {
			return false;
		} else {
			// TODO: Validate post code based on user's country..?
			
			return true;
		}
	}

}
