package no.ntnu.item.sso.web.user;

import java.util.Calendar;

import javax.validation.Valid;
import no.ntnu.item.sso.UserProfile;
import no.ntnu.item.sso.dao.UserProfileDao;
import no.ntnu.item.sso.service.SignOnForm;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.openid.OpenIDAuthenticationToken;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author jogrimst
 */
@Controller
@RequestMapping("/sign-on")
public class SignOnFormController {

    private final Logger logger = Logger.getLogger(getClass());
	
	@Autowired
	private UserProfileDao userDao;

	@RequestMapping(method = RequestMethod.GET)
	public void setupForm(ModelMap model) {
            SignOnForm signOnForm = new SignOnForm();
            model.addAttribute("signOnForm", signOnForm);
	}
	
//	@RequestMapping(method = RequestMethod.POST)
//	public String processSubmit(@ModelAttribute("signOnForm") @Valid SignOnForm signOnForm, BindingResult result) {
//		if (result.hasErrors()) {
//			return "signOn";
//		} else {
//			UserProfile user = new UserProfile();
//			user.setNickname("john");
//			user.setEmail("john@doe.com");
//			userDao.create(user);
//
//            // TODO: Initiate Spring Security user session
//                        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
//                        logger.info("authentication: " + authentication);
//                        if (authentication == null) {
////                            authentication = new OpenIDAuthenticationToken
////                            authentication = new UsernamePasswordAuthenticationToken
//
//                        }
//
//			return "redirect:sign-on?success=true";
//		}
//	}
}
