<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<c:if test="${!fn:contains(pageContext.request.servletPath, '/user/') || (empty pageContext.request.userPrincipal)}">
    <h2>About OpenID</h2>
    <p>
        <img src="<spring:url value='/img/logo-openid-120x41.png' />" />
        For more information about OpenID, visit the Web site <a href="http://openid.net">http://openid.net</a>.
    </p>
</c:if>
<c:if test="${fn:contains(pageContext.request.servletPath, '/user/') && (not empty pageContext.request.userPrincipal)}">
    <h2>Edit User Account</h2>
    <ul class="bullets">
        <li><a href="<spring:url value='/user/account' />">User Details</a></li>
        <li><a href="<spring:url value='/user/manage-openids' />">Manage My OpenIDs</a></li>
    </ul>
</c:if>
