package no.ntnu.item.sso.validation;

import static org.junit.Assert.*;

import no.ntnu.item.sso.UserProfile;

import org.apache.log4j.Logger;
import org.junit.Ignore;
import org.junit.Test;

/**
 * @author jogrimst
 */
@Ignore
public class PostCodeValidatorTest {

	@Test
	public final void testIsValid() {
		PostCodeValidator postCodeValidator = new PostCodeValidator();
		
		UserProfile user = new UserProfile();
		
		// Validation should is not performed when post code is null
		assertTrue(postCodeValidator.isValid(user.getPostcode(), null));
		
		// TODO: How to get access to a user's country..?
		
		user.setPostcode("123");
		assertFalse(postCodeValidator.isValid(user.getPostcode(), null));
	}
}
