package selenium;

import org.junit.Test;

import com.thoughtworks.selenium.SeleneseTestCase;

/**
 * @author jogrimst
 */
public class WelcomeViewFunctionalTest extends SeleneseTestCase {

	private static final String TIMEOUT = "60000"; // 1 minute
	
	@Override
	public void setUp() throws Exception {
		setUp("http://localhost:8080");
		selenium.setTimeout(TIMEOUT);
	}
	
	@Test
	public void testWelcomeView() {
		selenium.open("/sso-webapp");
		
		assertEquals("sso-webapp", selenium.getTitle());
	}
}
