package no.ntnu.item.sso.dao;

import no.ntnu.item.sso.UserProfile;
import org.springframework.dao.DataAccessException;

/**
 * @author jogrimst
 */
public interface UserProfileDao extends BaseDao<UserProfile> {

    UserProfile readByOpenIdIdentifier(String openIdIdentifier) throws DataAccessException;

    UserProfile readByEmail(String email) throws DataAccessException;
}
