package no.ntnu.item.sso.enums;

/**
 * User's country of residence as specified by 
 * <a href="http://www.iso.org/iso/en/prods-services/iso3166ma/index.html">ISO3166</a>
 * 
 * @author jogrimst
 */
public enum Country {

	NO,
	SE,
	DK,
	ES,
	IT,
	FR,
	HR
}
