package no.ntnu.item.sso.validation.util;

import org.apache.commons.lang.NotImplementedException;

import no.ntnu.item.sso.enums.Country;

/**
 * Offers validation of phone numbers for every country listed in the {@link Country} enum.
 * 
 * @author jogrimst
 */
public class PhoneNumberValidator {

	/**
	 * Validates a phone number for a given {@link Country}.
	 * <p />
	 * Prefixes (e.g. +47 or 0047) and white spaces are allowed.
	 * 
	 * @param phoneNumber
	 * @param country
	 * @return {@code true} if the post code is valid; {@code false} otherwise
	 */
	public boolean isValid(String phoneNumber, Country country) {
		// TODO
		throw new NotImplementedException();
	}
}
