package no.ntnu.item.sso.validation.util;

import org.apache.commons.lang.NotImplementedException;

import no.ntnu.item.sso.enums.Country;

/**
 * Offers validation of post codes for every country listed in the {@link Country} enum.
 * 
 * @author jogrimst
 */
public class PostCodeValidator {

	/**
	 * Validates a post code for a given {@link Country}.
	 * <p />
	 * As an example, Swedish post codes accept white spaces (?), while Norwegian post codes do not.
	 * 
	 * @param postCode
	 * @param country
	 * @return {@code true} if the post code is valid; {@code false} otherwise
	 */
	public boolean isValid(String postCode, Country country) {
		// TODO
		throw new NotImplementedException();
	}
}
