<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<c:set var="section">
    <div id="contact">
        <h1><fmt:message key="contact.us" /></h1>

        <form:form modelAttribute="contactForm">
            <tag:formErrors modelAttribute="contactForm" />

            <table>
                <tr>
                    <td>Name:</td>
                    <td><form:input path="name" /></td>
                    <td><form:errors path="name" /></td>
                </tr>
                <tr>
                    <td>E-mail:</td>
                    <%--<td><form:input path="email" /></td>--%>
                    <td><input type="email" name="email" /></td>
                    <td><form:errors path="email" /></td>
                </tr>
                <tr>
                    <td>
                        <p class="submit"><input type="submit" /></p>
                    </td>
                </tr>
            </table>
        </form:form>
    </div>
</c:set>

<%@ include file="/WEB-INF/jsp/layout.jsp" %>
