<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<ul>
    <li>
        <a href="<spring:url value='/' />"<c:if test="${fn:endsWith(pageContext.request.servletPath, '/welcome.jsp')}"> class="selected"</c:if>><img src="<spring:url value="/img/home-16x16.png" />" width="16" height="16" />Home</a>
    </li>
    <li>
        <c:if test="${empty pageContext.request.userPrincipal}">
            <a href="<spring:url value='/sign-on' />"<c:if test="${fn:endsWith(pageContext.request.servletPath, '/sign-on.jsp')}"> class="selected"</c:if>><img src="<spring:url value="/img/key-16x16.png" />" width="16" height="16" />Sign On</a>
        </c:if>
        <sec:authorize access="hasRole('ROLE_USER')">
            <a href="<spring:url value='/user/account' />"<c:if test="${fn:contains(pageContext.request.servletPath, '/user/')}"> class="selected"</c:if>><img src="<spring:url value="/img/key-16x16.png" />" width="16" height="16" />Account</a>
        </sec:authorize>
    </li>
    <li>
        <a href="<spring:url value='/contact' />"<c:if test="${fn:endsWith(pageContext.request.servletPath, '/contact.jsp')}"> class="selected"</c:if>><img src="<spring:url value="/img/info-16x16.png" />" width="16" height="16" />Information</a>
    </li>
    <li>
        <a href="<spring:url value='/openid' />"<c:if test="${fn:endsWith(pageContext.request.servletPath, '/openid.jsp')}"> class="selected"</c:if>><img src="<spring:url value="/img/openid-17x16.png" />" width="17" height="16" />OpenID</a>
    </li>
    <li id="openIdUsername">
        <sec:authorize access="hasRole('ROLE_USER')">
            <sec:authentication property="principal.username" />
        </sec:authorize>
    </li>
    <div style="clear: both"></div>
</ul>

<div id="breadcrumbs"></div>
