<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>
<%@ page import="org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter" %>
<%@ page import="org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter" %>
<%@ page import="org.springframework.security.core.AuthenticationException" %>

<c:set var="script">
    <script src="<spring:url value="/js/sign-on.js" />"></script>
</c:set>

<c:set var="section">
    <div id="sign-on">
        <h1><fmt:message key="use.your.openid.to.sign.on" /></h1>

        <%--<form:form modelAttribute="signOnForm">
                <tag:formErrors modelAttribute="signOnForm" />

                <p>We're gonna need to see some ID...</p>

                <label for="openIdUrl">Your OpenID URL:</label><br />
                <form:input path="openIdUrl" />
                <button>Sign on</button>
        </form:form>--%>

        <form action='/sso-webapp/j_spring_openid_security_check' method='POST'>
            <c:if test="${param.login_error != null}">
                <ul class="errors bullets">
                    <li>Error: <%= ((AuthenticationException) session.getAttribute(AbstractAuthenticationProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY)).getMessage() %></li>
                </ul>
            </c:if>
            <c:if test="${param.session_timeout != null}">
                <ul class="errors bullets">
                    <li>Session timeout...</li>
                </ul>
            </c:if>

            <p>We're gonna need to see some ID...</p>

            <label for="openid_identifier">Your OpenID URL:</label><br />
            <input type="text" name="openid_identifier" id="openid_identifier" />
            <button>Sign on</button>
        </form>

        <%--
         <script type="text/javascript">
          var rpxJsHost = (("https:" == document.location.protocol) ? "https://" : "http://static.");
          document.write(unescape("%3Cscript src='" + rpxJsHost +
        "rpxnow.com/js/lib/rpx.js' type='text/javascript'%3E%3C/script%3E"));
        </script>
        <script type="text/javascript">
          RPXNOW.overlay = true;
          RPXNOW.language_preference = 'en';
        </script>
        <a class="rpxnow" onclick="return false;" href="https://security-in-single-sign-on-web-applications.rpxnow.com/openid/v2/signin?token_url=http%3A%2F%2Flocalhost%3A8080%2Fsso-webapp%2Frpx-token"> Sign In </a>
        --%>

        <%--
        <iframe src="http://security-in-single-sign-on-web-applications.rpxnow.com/openid/embed?token_url=http%3A%2F%2Flocalhost%3A8080%2Fsso-webapp%2Frpx-token&amp;language_preference=en" scrolling="no" frameBorder="no" allowtransparency="true" style="width: 400px; height: 240px"></iframe>
        --%>
    </div>
</c:set>

<%@ include file="/WEB-INF/jsp/layout.jsp" %>
