<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<c:set var="section">
    <div id="userAccount">
        <h1><fmt:message key="user.account" /></h1>

        <c:if test="${isFirstViewAfterSignOn}">
            <ul class="info">
                <c:choose>
                    <c:when test="${isNewUserProfile}">
                        <li>Welcome as a new user!</li>
                    </c:when>
                    <c:otherwise>
                        <li>Your previous sign-on was: ${userProfile.lastSignOn.time}</li>
                    </c:otherwise>
                </c:choose>
            </ul>
        </c:if>

        <p>
            <fmt:message key="your.email" />: <b>${userProfile.email}</b><br />
            <fmt:message key="your.openid.identifier" />: <b><sec:authentication property="principal.username" /></b>
        </p>

        <%--<p>
            ${pageContext.request.userPrincipal}
        </p>--%>
    </div>
</c:set>

<%@ include file="/WEB-INF/jsp/layout.jsp" %>
