<%@ include file="/WEB-INF/jsp/taglibs.jsp" %>

<c:set var="section">
    <div id="welcome">
        <h1><fmt:message key="welcome" /></h1>

        <c:if test="${param.sign_out != null}">
            <ul class="info tick">
                <li>You were signed out</li>
            </ul>
        </c:if>

        <a href="http://code.google.com/p/openid4java/">
            <%--<img src="<spring:url value="/img/logo-openid-288x77.png" htmlEscape="true" />" />--%>
            <img src="<spring:url value="/img/logo-openid4java-133x116.png" />" width="100" />
        </a>

        <p>
            This is a Java Web application demonstrating basic usage of OpenID.
        </p>

        <ul class="bullets">
            <li><a href="<spring:url value="/sign-on" />">Sign on</a></li>
            <li><a href="<spring:url value="/contact" />">Information</a></li>
        </ul>
    </div>
</c:set>

<%@ include file="/WEB-INF/jsp/layout.jsp" %>
